/*****************************************************************************
 ** ANGRYBIRDS AI AGENT FRAMEWORK
 ** Copyright (c) 2015, XiaoYu (Gary) Ge, Jochen Renz,Stephen Gould,
 **  Sahan Abeyasinghe,Jim Keys, Rohan Verma, Andrew Wang, Peng Zhang
 ** All rights reserved.
**This work is licensed under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
**To view a copy of this license, visit http://www.gnu.org/licenses/
 *****************************************************************************/

package proxy;

import java.util.LinkedList;

public abstract class RequestSchedule implements Runnable{
	protected static LinkedList<AgentRequestHandler> handlers;
	

	public RequestSchedule()
	{
		handlers = new LinkedList<AgentRequestHandler>();
		
	}
	public static void registerHandler(AgentRequestHandler handler)
	{
		handlers.add(handler);
	}
	public static void releaseHandler(AgentRequestHandler handler)
	{
		handlers.remove(handler);
	}
	protected abstract void getNextResult();
	

}
