/*****************************************************************************
 ** ANGRYBIRDS AI AGENT FRAMEWORK
 ** Copyright (c) 2015, XiaoYu (Gary) Ge, Jochen Renz,Stephen Gould,
 **  Sahan Abeyasinghe,Jim Keys, Rohan Verma, Andrew Wang, Peng Zhang
 ** All rights reserved.
**This work is licensed under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
**To view a copy of this license, visit http://www.gnu.org/licenses/
 *****************************************************************************/

package client.logger.comparator;

import java.util.Comparator;
import java.util.Map;

import client.logger.Configuration;
  public class ValueComparator implements Comparator<Object> {
    	 
    	  private Map<Integer,Configuration> map;
    	 
    	  public ValueComparator(Map<Integer,Configuration> map){
    	    this.map = map;
    	  }
    	  public int compare(Object keyA, Object keyB){
    	 
    		  Configuration valueA = (Configuration) map.get(keyA);
    		  Configuration valueB = (Configuration) map.get(keyB);
    	 	    
    	 
    	    return ((Integer)(valueA.getTotalScore())).compareTo(valueB.getTotalScore());
    	 
    	  }
    	}