/*****************************************************************************
 ** ANGRYBIRDS AI AGENT FRAMEWORK
 ** Copyright (c) 2015, XiaoYu (Gary) Ge, Jochen Renz,Stephen Gould,
 **  Sahan Abeyasinghe,Jim Keys, Rohan Verma, Andrew Wang, Peng Zhang
 ** All rights reserved.
**This work is licensed under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
**To view a copy of this license, visit http://www.gnu.org/licenses/
 *****************************************************************************/

package server;

import java.util.TimerTask;

import server.util.Log;

public class ServerTimerTask extends TimerTask {
	
	private AgentThread thread;
	
	public ServerTimerTask(AgentThread thread) {
		super();
		this.thread = thread;
	}

	@Override
	public void run() {
		
		Log.sysecho(" Time reaches, Agent (Thread ID:  " + thread.getName() + " )" + " will be dropped after 3 mins.");
		thread.terminateAgent();
		//System.out.println("Finish");

	}

}
